%global srcname flask-cors

Name:           python-%{srcname}
Version:        4.0.1
Release:        %mkrel 1
Summary:        Cross Origin Resource Sharing (CORS) support for Flask
Group:          Development/Python
License:        MIT
URL:            https://github.com/corydolphin/%{srcname}
Source0:        https://github.com/corydolphin/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
A Flask extension for handling Cross Origin Resource Sharing (CORS),
making cross-origin AJAX possible.

%package -n python3-%{srcname}
Summary:        Cross Origin Resource Sharing (CORS) support for Flask

BuildRequires:  python3-devel
BuildRequires:  python3-flask
BuildRequires:  python3-nose
BuildRequires:  python3-packaging
BuildRequires:  python3-setuptools
BuildRequires:  python3-six

%description -n python3-%{srcname}
A Flask extension for handling Cross Origin Resource Sharing (CORS),
making cross-origin AJAX possible.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_cors

%check
nosetests-%{python3_version} -v

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.rst



%changelog
* Fri May 17 2024 solbu <solbu> 4.0.1-1.mga10
+ Revision: 2064625
- New release: 4.0.1

* Thu Dec 28 2023 papoteur <papoteur> 4.0.0-2.mga10
+ Revision: 2023016
- rebuild for python 3.12
- adapt to pyrpoject macros

* Thu Sep 14 2023 solbu <solbu> 4.0.0-1.mga10
+ Revision: 1986676
- New release: 4.0.0

* Thu Sep 22 2022 solbu <solbu> 3.0.10-1.mga9
+ Revision: 1891378
- Add missing Group
- imported package python-flask-cors

